diff a/src/hotspot/share/compiler/methodMatcher.hpp b/src/hotspot/share/compiler/methodMatcher.hpp
--- a/src/hotspot/share/compiler/methodMatcher.hpp
+++ b/src/hotspot/share/compiler/methodMatcher.hpp
@@ -25,10 +25,11 @@
 #ifndef SHARE_COMPILER_METHODMATCHER_HPP
 #define SHARE_COMPILER_METHODMATCHER_HPP
 
 #include "memory/allocation.hpp"
 #include "runtime/handles.hpp"
+#include "runtime/methodDetails.hpp"
 #include "memory/resourceArea.hpp"
 
 class MethodMatcher : public CHeapObj<mtCompiler> {
  public:
   enum Mode {
@@ -59,10 +60,11 @@
 
   void init(Symbol* class_name, Mode class_mode, Symbol* method_name, Mode method_mode, Symbol* signature);
   static void parse_method_pattern(char*& line, const char*& error_msg, MethodMatcher* m);
   static void print_symbol(outputStream* st, Symbol* h, Mode mode);
   bool matches(const methodHandle& method) const;
+  bool matches(MethodDetails& method_details) const;
   void print_base(outputStream* st);
 
  private:
   static bool canonicalize(char * line, const char *& error_msg);
   bool match(Symbol* candidate, Symbol* match, Mode match_mode) const;
@@ -81,10 +83,11 @@
     _next(next) {
   }
 
   static BasicMatcher* parse_method_pattern(char* line, const char*& error_msg, bool expect_trailing_chars);
   bool match(const methodHandle& method);
+  bool match(MethodDetails& method_details);
   void set_next(BasicMatcher* next) { _next = next; }
   BasicMatcher* next() { return _next; }
 
   void print(outputStream* st) { print_base(st); }
   void print_all(outputStream* st) {
